%global fontname ucs-miscfixed
%global fontconf 66-%{fontname}.conf

Summary:        Selected set of bitmap fonts
Name:           %{fontname}-fonts
Version:        0.3
Release:        5%{?dist}
License:        Public Domain
URL:            http://www.cl.cam.ac.uk/~mgk25/ucs-fonts.html
Source0:        http://www.cl.cam.ac.uk/~mgk25/download/ucs-fonts.tar.gz
Source1:        66-ucs-miscfixed.conf

BuildRequires:  fontpackages-devel mkfontdir bdftopcf fonttosfnt

BuildArch:      noarch

Conflicts:      ucs-miscfixed-opentype-fonts

%description
The usc-fixed-fonts package provides bitmap fonts for locations such as terminals.

%package -n     ucs-miscfixed-opentype-fonts
Summary:        Selected set of bitmap fonts (opentype version)
License:        Public Domain
Conflicts:      ucs-miscfixed-fonts

%description -n ucs-miscfixed-opentype-fonts
The usc-fixed-fonts package provides bitmap fonts for locations such as terminals.
This package contains the fonts in OpenType format.

%prep
%setup -q -c
rm helvR12.bdf

%build
for i in `ls *.bdf`;
do fonttosfnt -v -b -c -g 2 -m 2 -o ${i%%.bdf}.otb $i;
done

%install
rm -rf %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.bdf %{buildroot}%{_fontdir}
install -m 0644 -p *.otb %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
	%{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%files
%doc README
%{_fontbasedir}/%{fontname}/*.bdf
%{_fontconfig_confdir}/%{fontconf}
%{_fontconfig_templatedir}/%{fontconf}

%files -n ucs-miscfixed-opentype-fonts
%doc README
%{_fontbasedir}/%{fontname}/*.otb
%{_fontconfig_confdir}/%{fontconf}
%{_fontconfig_templatedir}/%{fontconf}

%changelog
* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 0.3-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Shuo Wang <abushwang@tencent.com> - 0.3-1
- initial build
